<?php
session_start ();
include_once 'clazz/Membre.class.php';
$me = new Membre ();

if (! isset ( $_GET ['action'] )) {
	header ( 'Location:40A.php' );
	exit();
}
switch ($_GET ['action']) {
	case 'register' :
		if (isset ( $_POST ['pseudo'] ) && isset ( $_POST ['mdp'] ) && isset ( $_POST ['mdp2'] )) {
			if ($_POST ['mdp'] === $_POST ['mdp2']) {
				if (preg_match ( "#^[a-zA-Z0-9\\-_]+$#", $_POST ['pseudo'] )) {
					if (preg_match ( "#^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789\\-_&éèàùçµ\"\\#'{}()[\\]|\\^@°+=\$¤£*!§:/;.,?²]+$#", $_POST ['mdp'] )) {
						
						switch (Membre::registerPerson ()) {
							case 'ok' :
								$_SESSION ['current_error'] = 'Vous avez déjà été correctement inscrit sur bernard.com';
								header('Location:login.php');
								exit();
							case 'usedPseudo' :
								$_SESSION ['current_error'] = 'Le pseudonyme est déjà utilisé (par une entité differente de vous)';
								break;
						}
					} else {
						$_SESSION ['current_error'] = 'Le mot de passe fut incorrect : Les seuls caractères autorisés sont :<br/>abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_&éèàùçµ"#\'{}()[]|^@°+=$¤£*!§:/;.,?²';
					}
				} else {
					
					$_SESSION ['current_error'] = 'Le pseudo sera incorrect : Les seuls caractères autorisés sont :<br/>abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_';
				}
			} else {
				
				$_SESSION ['current_error'] = 'Tu auras du rentrer deux fois le même mot de passe (tu permet aussi de rendre le champs "Recopier le mot de passe" utile)';
			}
		} else {
			
			$_SESSION ['current_error'] = 'Quand on demande des données , on donne des données !!!';
		}
		
		header ( 'Location:register.php' );
}
